/*
 * Created on May 12, 2004
 *
 * Copyright (c) 2004 Pam Betten, Nathan Edwards, Adam Goforth, 
 *     Jim Laing, Shahzad Qureshi
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

package eShopper;

/**
 * This is an Ingredient that is in the database, but doesn't need
 * the information associated with being in a recipe or a shopping list.
 * 
 * @author Adam
 *
 */
public class Ingredient {
	
	String myName;
	int ingredientID;
	
	public Ingredient(int ID, String name){
		ingredientID = ID;
		myName = name;
	}
	
	/**
	 * This is a getter method for the IngredientID.
	 * 
	 * @return The ID of the ingredient.
	 */
	public int getID() {
		return ingredientID;
	}
	
	/**
	 * This is a getter method for the ingredient's name.
	 * 
	 * @return The name of the ingredient.
	 */
	public String getName(){
		return myName;
	}
	
	/**
	 * This sets the Ingredient's name to the given name.
	 * @param newName The name the Ingredient should have.
	 */
	public void setName(String newName){
		myName = newName;
	}
	
	/**
	 * This implements the toString method and returns the name of
	 * the ingredient.
	 */
	public String toString(){
		return myName;
	}
}
