/*
 * Created on May 13, 2004
 *
 * Copyright (c) 2004 Pam Betten, Nathan Edwards, Adam Goforth, 
 *     Jim Laing, Shahzad Qureshi
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

package eShopper;

/**
 * This is a recipe that is in the database but does not need the information
 * associated with being in a shopping list.
 * 
 * @author Nathan
 *
 */
public class Recipe {
	int myID;
	String myName;
	
	/**
	 * Explicit value constructor for a recipe.
	 * 
	 * @param ID of the recipe
	 * @param name of the recipe
	 */
	public Recipe(int ID, String name){
		myID = ID;
		myName = name;
	}
	
	/**
	 * Accessor method for the ID of the recipe.
	 * 
	 * @return The recipe's ID.
	 */
	public int getID() {
		return myID;
	}
	
	/**
	 * Override of the toString function inherited from Object.
	 * 
	 * @return name of the recipe
	 */
	public String toString(){
		return myName;
	}
}
