/*
 * Created Apr 27, 2004
 *
 * Copyright (c) 2004 Pam Betten, Nathan Edwards, Adam Goforth, 
 *     Jim Laing, Shahzad Qureshi
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

package eShopper;

import javax.swing.*;
 
/** 
 * This is the executive part of the program. It gets everything going and 
 *  leaves the GUI and data parts to do what they do.
 * 
 * @author Jim Laing. 
 */
public class eShopper {

	eShopperList list; 

	/**
	 * constructor
	 *
	 */
	public eShopper() {
		System.out.println("eShopper by eGroup: Shop Better");
		list = new eShopperList(1, eShopperRoot.DATE, new eShopperDB()); 
		MainWindow window = new MainWindow(list);
		window.setTitle("eShopper");
		window.setSize(600, 515);
		window.setLocation(100, 50);
		window.setVisible(true);
	}
    
	/**
	 * This is the main function for eShopper.  It starts up the main
	 * window, and that's it.
	 * 
	 * @param args Command line arguments.
	 */
	public static void main(String []args) {
		try {
			UIManager.setLookAndFeel(
				UIManager.getCrossPlatformLookAndFeelClassName());
				//UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {}
		JFrame.setDefaultLookAndFeelDecorated(true);
		eShopper es = new eShopper();
	}
}
