/*
 * Created on May 10, 2004
 * 
 * Copyright (c) 2004 Pam Betten, Nathan Edwards, Adam Goforth, 
 *     Jim Laing, Shahzad Qureshi
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */
 
/*
 * A quick class to support the "Unsorted" type category on our list
 */
package eShopper;

import java.util.Vector;

/**
 * This is a miscelaneous item in the list.  It is actually just
 * the grouping for the Recipes and Ingredients not associated with a date.
 * 
 * @author Jim Laing
 *
 */
public class eShopperMisc extends eShopperNode {
	
	private Vector children;

	public eShopperMisc(Vector children) {
		this.children = children;
	}
	
	/**
	 * This returns the children of the Other heading.
	 * 
	 * @return A vector of the recipes and ingredients in the list not
	 * associated with a date.
	 */
	public Vector getChildren() { return children; }

	/**
	 * This returns the name of the node.
	 * 
	 * @return Always returns the string "Other".
	 */
	public String toString() { return "Other"; }

	/**
	 * This always returns null, because this node cannot have a date.
	 * 
	 * @return Always returns null.
	 */
	public String getDate() { return null; 	}

	/**
	 * This returns the nodeID 0, which means it's not a Recipe or Ingredient.
	 * 
	 * @return Always returns 0.
	 */
	public int nodeID() { return 0; }

}
